<?php if (!defined('PmWiki')) exit();
/* social-bookmark-icons.php, a recipe for PmWiki.  2007 Jon Haupt
   The following script will add the capability to add icons for 
   social bookmarking sites such as del.icio.us, furl, or Ma.gnolia
   to a wiki page.  It accomplishes this by adding a wiki page called
   Site.Social which can be included by using (:include Site.Social:)
   on any page.
   
   Place the script folder in /cookbook, and social-bookmark-icons.css 
   in the /pub/css folder.  You'll also need to upload images for the 
   icons that you'll need into the Site group.  Sample images matching 
   those used in the sample Site.Social page can be found at 
   http://pmwiki.org/wiki/Cookbook/SocialBookmarkIcons.  Others can
   be found across the web.
   
   Thanks to Petko Yotov for help with the urlencode markup.
   
*/
# Version date
$RecipeInfo['SocialBookmarkIcons']['Version'] = '2007-03-08';

# $WikiTitle page variable
$FmtPV['$WikiTitle'] = '$GLOBALS["WikiTitle"]';

Markup('urlencodetext', '>textvar:',"/\\(:urlencode (.*?):\\)/ie","UrlEncodeText(\$pagename, PSS('$1'))");
function UrlEncodeText($pagename, $what){return urlencode(utf8_decode($what));}

Markup('fmtplus', '>textvar:',"/\\(:fmtplus(.*?):\\)/ie","FmtPlus(\$pagename,
PSS('$1'))");
function FmtPlus($pagename, $what){return str_replace(" ","+",trim($what));}

## automatic loading of default page
$where = count($WikiLibDirs);
if ($where>1) $where--;
array_splice($WikiLibDirs, $where, 0, 
  array(new PageStore("$FarmD/cookbook/social-bookmark-icons/wikilib.d/\$FullName")));

# CSS
$HTMLFooterFmt['socialbookmarks'] = "
  <link rel='stylesheet' media='screen' href='{$PubDirUrl}/css/social-bookmark-icons.css' type='text/css' />";